<?php 
$locale = $_GET['locale'];
$key = $_GET['key'];
$langArr=[
    'zh_CN',
    'zh_TW',
    'fi_FI',
    'ja_JP',
    'ko_KR',
    'en_US',
];
foreach($langArr as $lang){
    $fn = "src/i18n/".$lang.'.json';
    $json = json_decode(file_get_contents($fn), true);
    echo $locale,$key;
    if(!isset($json[$key])){
        $json[$key] = $key;
        file_put_contents($fn, json_encode($json, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));
    }
}